


// --------------------------------------------------------------------------
//
// Note: These functions all came from the original Starsiege files as
// indicated in each section's heading.  However each function has one line
// added to it to permit Rock, the Administrator (that's me) to administer
// the server while still permitting me to also play the game.  After all,
// I love this game too.
//
//
// In all of these notes, all references to Rock really indicate a reference
// to the Administrator.
//
//
// See the file RocksServerAdmin.cs for a detailed description of what this
// package does, and how to control it.
//
// --------------------------------------------------------------------------




// --------------------------------------------------------------------------
// --------------------------------------------------------------------------
// -------------------- came from DMstdLib.cs -------------------------------
// --------------------------------------------------------------------------
// --------------------------------------------------------------------------

function player::onAdd(%this)
{
   player::onAddLog(%this);
	
//	if($server::TeamPlay == true)
//	{
//     say(%this,0, *IDMULT_TDM_WELCOME);	      
// }
//	else
//	{
//      say(%this,0, *IDMULT_DM_WELCOME);
//   }
	RocksPlayerOnAdd(%this);
}   

function vehicle::onAdd(%this)
{
   if($server::TeamPlay != true)
   {
   	// see if it is a player
//      %player = playerManager::vehicleIdToPlayerNum(%this);
//      if(%player == 0)  // that's the server
//         return;
         
      // so it's a player
      
      setTeam(%this, *IDSTR_TEAM_RED);
   }
	RocksVehicleOnAdd(%this);
}

function vehicle::onDestroyed(%destroyed, %destroyer)
{
   // left over from missionStdLib.cs
   vehicle::onDestroyedLog(%destroyed, %destroyer);
   
   // this is weird but %destroyer isn't necessarily a vehicle
   %message = getFancyDeathMessage(getHUDName(%destroyed), getHUDName(%destroyer));
   if(%message != "")
   {
      say( 0, 0, %message);
   }
   
   // enforce the rules
   if($server::TeamPlay == true)
   {
      if(
         (getTeam(%destroyed) == getTeam(%destroyer)) &&
         (%destroyed != %destroyer)
      )
      {
         antiTeamKill(%destroyer);
      }
   }   
	RocksVehicleOnDestroyed(%destroyed, %destroyer);
}

function vehicle::onScan(%scanned, %scanner)
{
	RocksVehicleOnScan(%scanned, %scanner);
}

function getPlayerScore(%a)
{
	return(RocksPlayerScore(%a));
}

function getTeamScore(%a)
{
	return(RocksTeamScore(%a));
}

function getTeamKills(%a)
{
	return(RocksTeamKills(%a));
}

function getTeamDeaths(%a)
{
	return(RocksTeamDeaths(%a));
}



// --------------------------------------------------------------------------
// --------------------------------------------------------------------------
// -------------------- came from multiplayerStdLib.cs ----------------------
// --------------------------------------------------------------------------
// --------------------------------------------------------------------------

function player::onRemove(%this)
{
   %vehicle = playerManager::playerNumToVehicleId(%this);
   if(%vehicle != 0)
   {
      if(%vehicle.pad != "")
      {
         // reset the special for the pad this guy was on
         %vehicle.pad.special = "";
      }
   }
	RocksPlayerOnRemove(%this);
}

function vehicle::onAttacked(%this, %attacker)
{
   if( $enableTeamHittingPenalty == True )
   {
      if($server::TeamPlay == true)
      {
         if( %this != %attacker )
         {
            if(getTeam(%this) == getTeam(%attacker))
            {
               if(dataRetrieve(%attacker, "onProbation") != True)
               {
                  dataStore(%attacker, "onProbation", True);
                  schedule("dataStore(" @ %attacker @ ", \"onProbation\", False);", $probeFrequency);         
                  dataStore(%attacker, "totalOffenses", (dataRetrieve(%attacker, "totalOffenses") + $teamHitPenalty));
                  
                  if( dataRetrieve(%attacker, "hasCountdownSpawned") != True)
                  {
                     countdownOffenses(%attacker);
                     dataStore(%attacker, "hasCountdownSpawned", True);
                  }

                  if( dataRetrieve(%attacker, "totalOffenses") >= $allowableOffenses )
                  {
                     violate(%attacker);
                     %player = playerManager::vehicleIdToPlayerNum(%attacker);
                     if(%player != 0)
                     {
                        say(%player, 1234, *IDMULT_SPANKED, "rules_violated.wav");
                     }
                  }
               }   
            }
         }
      }
   }
	RocksVehicleOnAttacked(%this, %attacker);
}

function vehicle::OnArrived(%vehicle, %where)
{
	RocksVehicleOnArrived(%vehicle, %where);
}


// --------------------------------------------------------------------------
// --------------------------------------------------------------------------
// -------------------- came from missionStdLib.cs --------------------------
// --------------------------------------------------------------------------
// --------------------------------------------------------------------------

function vehicle::onTargeted(%targeted, %targeter)
{
	RocksVehicleOnTargeted(%targeted, %targeter);
}

function structure::onScan(%scanned, %scanner)
{
	RocksStructureOnScan(%scanned, %scanner);
}

function onMissionPreLoad()
{
	RocksOnMissionPreLoad();
}

function onMissionEnd()
{
	logStandardMissionEnd();
	RocksOnMissionEnd();
}
