

//
// These are the functions that will be called during the normal course of
// of Admin operations.  You can add to the functionality of Rock's Server
// Admin package by adding custom code within these functions.  Be aware that
// use of these extensions contitutes an advanced feature of the package.
// Improper implementation within these extensions can cripple or disrupt
// the game in general, and the normal Admin execution thread in particular. 
//



// --------------------------------------------------------------------------
// --------------------------------------------------------------------------
// --------------------- Server Admin Extensions ----------------------------
// --------------------------------------------------------------------------
// --------------------------------------------------------------------------
// Return 1 if the player stays in the server, else return 0
//
function EXTPlayerOnAdd(%player)
{
	return(1);
}


// --------------------------------------------------------------------------
// Returns nothing
//
function EXTPlayerOnRemove(%player)
{
}


// --------------------------------------------------------------------------
// Returns 9999 if no scoring modification is made, else returns a score.
//
function EXTTeamScore(%a)
{
	return(9999);
}


function EXTPlayerScore(%a)
{
	return(9999);
}


// --------------------------------------------------------------------------
// Returns nothing
//
function EXTMissionStart()
{
}


// --------------------------------------------------------------------------
// Returns nothing
//
function EXTVehicleOnDestroyed(%destroyed, %destroyer)
{
}


// --------------------------------------------------------------------------
// Returns nothing
//
function EXTVehicleOnAdd(%vehicle)
{
}


// --------------------------------------------------------------------------
// Returns nothing
//
function EXTVehicleOnScan(%scanned, %scanner)
{
}


// --------------------------------------------------------------------------
// Returns nothing
//
function EXTStructureOnScan(%scanned, %scanner)
{
}


// --------------------------------------------------------------------------
// Returns nothing
//
function EXTVehicleOnTargeted(%targeted, %targeter)
{
}


// --------------------------------------------------------------------------
// Returns nothing
//
function EXTVehicleOnAttacked(%attackee, %attacker)
{
}


// --------------------------------------------------------------------------
// Returns nothing
//
function EXTVehicleOnArrived(%vehicle, %where)
{
}


// --------------------------------------------------------------------------
// Returns nothing
//
function EXTOnMissionPreLoad()
{
}


// --------------------------------------------------------------------------
// Returns nothing
//
function EXTOnMissionEnd()
{
}


// --------------------------------------------------------------------------
// Return a null string if displaying the Standard Rules.
// Note that the length of the rules is limited.  Anything longer than the
// limit (and I don't know exactly what the limit is) and the game will chop
// it off when it is displayed.
//
function EXTRules()
{
	return("");
}


//----------------------------------------------------------------------------
// Try to keep unique extensions at code 100 and higher since the main package
// uses codes below 100.
//
// Return 0 if you don't handle the code at all.  Return one of the following
// values if you DO handle the code.
//
// Return 1 if only the player is to be deselected, return 2 if only the
// vehicle is to be deselected, return 3 if both are to be deselected,
// return 4 if neither are to be deselected but you still handled the code.
//
// All of the numbered codes are extras.
//
function EXTcode(%admin, %player, %vehicle, %code,
		%code1, %code2, %code3, %code4, %code5,
		%code6, %code7, %code8, %code9, %code10)
{
	return(0);
}


//----------------------------------------------------------------------------
// You can do some really guru stuff here.  Hope you know what you're doing.
// Return 1 if you wish to perform the restart, return 0 to abort it.
//
function EXTServerRestart(%player, %code1, %code2, %code3, %code4,
		%code5, %code6, %code7, %code8, %code9, %code10)
{
	return(1);
}


